# Rack::UsefulProcline

Make your proclines informative with some lovely middleware.

Instead of

```
unicorn master -p 5200
unicorn worker[0] -p 5200
```

See this

```
unicorn master -p 5200
unicorn worker[0] : last status: 200. last request_uuid: 53ebb737. Waiting for req.
unicorn worker[0] : GET : /all/the/things : cb18e336
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rack-useful_procline'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rack-useful_procline

## Usage

### Configure

Default config is:

```ruby
Rack::UsefulProcline.configure do |config|
  config.opts[:request_uuid_key]    = 'action_dispatch.request_id'
  config.opts[:show_request_uuid]   = true
  config.opts[:show_request_method] = true
  config.opts[:show_request_path]   = true
end
```

### Use

```ruby
use Rack::UsefulProcline
```

## Contributing

1. Fork it ( https://github.com/[my-github-username]/rack-useful_procline/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
