$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)
require 'rack'
require 'rack/useful_procline'

RSpec.configure do |config|
  def rack_app(opts = {})
    status        = opts[:status] || '200'
    content_type  = opts[:content_type] || 'text/html'
    body          = opts[:body] || 'A Rack app!'
    
    Proc.new do |env|
      [status, {'Content-Type' => content_type}, [body]]
    end
  end
  
  def rack_env(opts = {})
    opts[:request_uuid_key] ||= 'action_dispatch.request_id'
    {
      opts[:request_uuid_key] => '12345678 longish string',
      'REQUEST_METHOD'        => 'GET',
      'PATH_INFO'             => '/path/to/things'
    }
  end
  
  config.after(:each) do
    Rack::UsefulProcline.config = nil
  end
end